#!/bin/sh

cd $(dirname $(realpath "$0"))

for plugin in plugins/*/; do
	if ! ( stat "${plugin}.git" >/dev/null 2>/dev/null ); then
		continue
	fi
	echo "Pulling ${plugin}..."
	cd "$plugin"
	git pull
	cd ../..
done

echo "Pulling framework..."
git pull
